Page MenuHomePhabricator

A single Developer Hub plan agreed and documented
Closed, ResolvedPublic

Description

The Developer Hub plan at https://www.mediawiki.org/wiki/Data_%26_Developer_Hub misses some important aspects that need to be agreed and documented. See the subtasks.

Details

Reference
fl487

Related Objects

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:43 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl487.

qgil wrote on 2014-07-28 16:11:23 (UTC)

I have updated the nutshell + section 0 + Goals at https://www.mediawiki.org/wiki/Data_%26_Developer_Hub#Goals in order to match them with our current plans. Hopefully all of us are on the same page. Otherwise, plase edit/discuss.

msyed wrote on 2014-08-25 19:12:47 (UTC)

I propose the URL be build.wikimedia.org

Also, dev.wikimedia.org should redirect to build.wikimedia.org

qgil wrote on 2014-08-26 06:45:29 (UTC)

@MSyed, we have invested too much time in the naming discussion. dev.wikimedia.org was your original plan and last week still was good for you. Let's move on. If at a later stage during the prototyping phase we find a better name/domain we can still change it. We need to move forward now onto the many other open questions blocking this task here.

flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
Qgil lowered the priority of this task from High to Normal.Oct 7 2014, 9:05 PM
Qgil removed Qgil as the assignee of this task.Oct 11 2014, 6:27 PM
Qgil lowered the priority of this task from Normal to Low.Oct 22 2014, 6:20 PM
gerritbot added a subscriber: gerritbot.

Change 187184 had a related patch set uploaded (by Dzahn):
add misc-web varnish for dev.wikimedia.org

https://gerrit.wikimedia.org/r/187184

Patch-For-Review

Change 187186 had a related patch set uploaded (by Dzahn):
add basic Apache site and docroot for dev.wm.org

https://gerrit.wikimedia.org/r/187186

Patch-For-Review

Change 187184 merged by Dzahn:
add misc-web varnish for dev.wikimedia.org

https://gerrit.wikimedia.org/r/187184

Change 187186 merged by Dzahn:
add basic Apache site and docroot for dev.wm.org

https://gerrit.wikimedia.org/r/187186

Spage claimed this task.Feb 3 2015, 5:31 PM

Update: I'm writing content on mw.org in the API namespace to flesh out the Moiz and Juliusz design before deciding some of the blockers of this task. When it's good enough http://dev.wikimedia.org can redirect to it.

Qgil added a comment.Mar 19 2015, 2:23 PM

@Spage, my feedback about P411#2015:

  • The plan must be described in https://www.mediawiki.org/wiki/Dev.wikimedia.org
  • It must provide a high-level description of what we need and how are we going to build it. A description that a total newcomer should quickly understand. Think of Lila having 10 minutes free and poking at that page to decide whether we should put dev, ux, and doc resources to this project or not yet. :)
  • The structure of the page is probably a mix of the current wiki page and your paste: Goals, Requirements, Content, Design, Technology, Maintenance.
  • There are a bunch of subtasks (some of them with more subtasks) that need to be resolved and documented in this plan. Most of these tasks have been opened during months. You have a plan in mind. Resolve accordingly and be open to integrate better ideas if/when they come, but we need to close planning tasks and move forward.
  • The ask for resources is a key piece of this plan. You have started identifying the tasks that need extra resources. The plan should be almost exhaustive identifying the content, design, and technology tasks that need to be completed to launch. If a task is missing, please create it.
  • Finally let's organize the open tasks here, defining which ones are blocking T299: Release the Developer Hub prototype, which ones are blocking the launch (task to be created), and which ones can be left for later.

I have little to say about the ideas of your plan described in P411 and in our several conversations and threads. I think we are on the same page. My only observation is that you need to be able to describe the plan in a less subjective-dialog-with-myself way, and more as a structured and succinct document that others can quickly understand and support.

suriyaa added a subscriber: suriyaa.
Spage moved this task from Backlog to Ready To Go on the ECT-March-2015 board.
Spage moved this task from Backlog to Ready to Go on the ECT-April-2015 board.Apr 6 2015, 10:48 AM
Qgil claimed this task.May 5 2015, 9:41 PM
Qgil added a project: ECT-May-2015.
Qgil raised the priority of this task from Low to High.May 6 2015, 5:36 AM
Qgil lowered the priority of this task from High to Normal.May 21 2015, 8:32 AM

I presented a resourcing request as part of the Fiscal Year 2015-16 discussions, and also as part of T97283: Plan to focus on the Developer audience. I guess we will know more in the next weeks, but for now there is little else to do on the general plan than wait. Of course, we can keep working on the docs and the prototype.

Qgil raised the priority of this task from Normal to High.Jun 11 2015, 8:22 AM
Qgil added a comment.Jun 11 2015, 11:19 AM

Progress:

All in all the plan is pretty clear for this goal. We need to work a bit on the "agreed" part, and on the "documented" part too. This task looks perfectly doable by the end of this month.

Qgil added a comment.Jun 15 2015, 12:08 PM

T302: API sandboxes for the Developer Hub also needs to be clarified in terms of need for the next quarter.

@Spage, can you talk with Reading Design and Reading Infrastructure (probably in different meetings) to agree their commitments to T101441: Goal: Integrate the new Web APIs hub with mediawiki.org in the next three months, please?

Qgil moved this task from Backlog to Doing on the ECT-June-2015 board.Jun 18 2015, 9:05 AM

We are still discussing fundamental aspects of the plan in relation to T369: Implement a namespace in mediawiki.org to host the developer hub (should we use a new Dev: namespace or reuse the Api: namespace?). This would have implications on the scope of the project and also on T313: Future of the current Developer Hub at mediawiki.org. Meanwhile, the plan for Blueprint also has some question marks on resourcing.

For these reasons, I'm keeping this task open, even if the new question marks are a consequence of the release of the prototype and (if I would have been faster documenting the pre-prototype agreement) this task should have been closed before. :)

Qgil moved this task from Backlog to Need Discussion on the ECT-July-2015 board.Jul 1 2015, 2:14 PM
Qgil added a comment.EditedJul 8 2015, 9:56 AM

https://www.mediawiki.org/wiki/Thread:Project:Current_issues/Adding_a_dev_namespace_for_%22Data_and_developer_hub%22_articles has been resolved with the decision to build upon the API: namespace in mediawiki.org. We are moving away from dev.wikimedia.org and the "Dev" concept to describe the scope of this project. We are leaving the "data" aspect for later in order to focus now on Web APIs.

I have renamed to project page to https://www.mediawiki.org/wiki/Web_Apis_Hub and I have started editing accordingly, also the name of this project in Phabricator: Web-APIs-Hub.

Qgil moved this task from Need Discussion to Doing on the ECT-July-2015 board.Jul 8 2015, 9:56 AM
Qgil moved this task from Backlog to Doing on the ECT-August-2015 board.Aug 8 2015, 8:58 AM
Qgil closed this task as Resolved.Aug 8 2015, 2:51 PM

I think https://www.mediawiki.org/wiki/Web_APIs_hub captures de current plan correctly. The page welcomes more cleaning (I'm not sure we need all those external links without any comments) but I believe this is good enough for now. Resolving.